package com.quansu.heifengwuliu.adapter

import com.chad.library.adapter.base.viewholder.BaseDataBindingHolder
import com.quansu.heifengwuliu.R
import com.quansu.heifengwuliu.databinding.ItemInvoiceBinding
import com.quansu.heifengwuliu.model.DriverBean
import com.quansu.heifengwuliu.model.Invoice
import com.quansu.heifengwuliu.vmodel.InvoiceVModel
import com.ysnows.base.base.BAdapter

class InvoiceAdapter(val vm: InvoiceVModel) : BAdapter<Invoice, BaseDataBindingHolder<ItemInvoiceBinding>>(R.layout.item_invoice) {
    override fun convert(holder: BaseDataBindingHolder<ItemInvoiceBinding>, item: Invoice) {
        holder.dataBinding?.vm = vm
        holder.dataBinding?.item = item

    }
}
