package com.quansu.heifengwuliu.vmodel

import android.app.Activity
import android.content.Intent
import com.quansu.heifengwuliu.utils.net.NetEngine
import com.ysnows.base.net.IResponse
import io.reactivex.Observable

class VehicleListVModel : SearchVModel() {


    fun setSaveDriver(arr: String) {
        //添加司机

        repository()
                .lreq(NetEngine.service.setDriver(arr))
                .doOnNext {
                    if (it.ok(true)) {
                        val intent = Intent()
                        var con = repository().context as Activity
                        con.setResult(Activity.RESULT_OK, intent)
                        con.finish()
                    }
                }
                .subscribe()
    }



    override fun api(): Observable<out IResponse<*>> {
        return NetEngine.service.myDriver(k, repository().autoPage())
    }


}
