package com.quansu.heifengwuliu.adapter

import com.chad.library.adapter.base.viewholder.BaseDataBindingHolder
import com.quansu.heifengwuliu.R
import com.quansu.heifengwuliu.databinding.ItemOrderBinding
import com.quansu.heifengwuliu.model.InfoListBean
import com.quansu.heifengwuliu.model.Order
import com.quansu.heifengwuliu.vmodel.OrderListVModel
import com.ysnows.base.base.BAdapter

class OrderListAdapter(val vm: OrderListVModel) : BAdapter<InfoListBean, BaseDataBindingHolder<ItemOrderBinding>>(R.layout.item_order) {
    override fun convert(holder: BaseDataBindingHolder<ItemOrderBinding>, item: InfoListBean) {
        holder.dataBinding?.item = item
        holder.dataBinding?.vm=vm
    }
}
