package com.quansu.heifengwuliu.fragment

import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.ViewGroup
import com.quansu.heifengwuliu.adapter.OrderListAdapter
import com.quansu.heifengwuliu.base.MBRFragment
import com.quansu.heifengwuliu.databinding.FragmentOrderListBinding
import com.quansu.heifengwuliu.vmodel.OrderListVModel

class OrderListFragment : MBRFragment<OrderListVModel, OrderListAdapter, FragmentOrderListBinding>() {


    override fun __before(savedInstanceState: Bundle?) {
        super.__before(savedInstanceState)
        vm.infoState = arguments?.getString("info_state")
    }

    override fun initAdapter(): OrderListAdapter {
        return OrderListAdapter(vm)
    }


    override fun binding(inflater: LayoutInflater, container: ViewGroup?): FragmentOrderListBinding {
        return FragmentOrderListBinding.inflate(layoutInflater, container, false)
    }

    override fun title(): String? {
        return null
    }

    override fun vmClass(): Class<OrderListVModel> {
        return OrderListVModel::class.java
    }
}
