package com.quansu.heifengwuliu.vmodel

import com.quansu.heifengwuliu.model.Todo
import com.quansu.heifengwuliu.utils.net.NetEngine
import com.ysnows.base.base.BRRepository
import com.ysnows.base.base.BRViewModel
import com.ysnows.base.net.IResponse
import io.reactivex.Observable


class AreaSelectVModel : BRViewModel<BRRepository>() {

    var code = "0"//默认市

    fun check(item: Todo, position: Int) {
        repository()
                .lreq(NetEngine.service.taskChecked(item.id))
                .doOnNext {
                    if (it.ok(true)) {
                        item.checked = if (item.checked == 1) 0 else 1
                        view()?.adapter()?.notifyItemChanged(position)
                    }
                }
                .subscribe()
    }

    override fun api(): Observable<out IResponse<*>> {
        return NetEngine.service.getArea(code, repository().autoPage())
    }
}
