package com.quansu.heifengwuliu.vmodel

import com.quansu.heifengwuliu.utils.net.NetEngine
import com.ysnows.base.base.BRRepository
import com.ysnows.base.base.BRViewModel
import com.ysnows.base.net.IResponse
import io.reactivex.Observable

class InvoiceVModel : BRViewModel<BRRepository>() {


    //state：1：开票中 2通过（已邮寄） 3系统拒绝  9取消
    fun getInvoiceStatus(status: Int): String {
        return when (status) {
            1 -> "开票中"
            2 -> "发票已邮寄"
            3 -> "系统拒绝"
            9 -> "已取消申请"
            else -> ""
        }

    }

    override fun api(): Observable<out IResponse<*>> {
        return NetEngine.service.invoiceList(repository().autoPage())
    }


}
