package com.quansu.heifengwuliu.vmodel


import android.view.inputmethod.EditorInfo
import androidx.databinding.Bindable
import com.quansu.heifengwuliu.BR
import com.ysnows.base.base.BRRepository
import com.ysnows.base.base.BRViewModel

open abstract class SearchVModel : BRViewModel<BRRepository>() {
    @Bindable
    var k: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.k)
        }

    fun onAction(actionId: Int): Boolean {
        if (actionId == EditorInfo.IME_ACTION_SEARCH) {
            firstReq()
        }
        return false;
    }

}
